Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rf.ats.services.integration.webserv
Class CalendarEventBean

    java.lang.Object
      com.rf.ats.services.integration.webserv.EntityBean
          com.rf.ats.services.integration.webserv.CalendarEventBean

All Implemented Interfaces:
  java.io.Serializable

public class CalendarEventBean
extends EntityBean
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`CalendarEventBean()`
`CalendarEventBean(java.util.Calendar creationDate, FlexFieldBean[] flexValues, long id, java.util.Calendar lastUpdated, java.lang.String status, java.lang.String creator, java.lang.String description, long duration, long entityId, java.lang.String entityType, boolean isPrivate, java.lang.String location, ParticipantBean[] participants, java.util.Calendar startDate, java.lang.String subject)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getCreator()` Gets the creator value for this CalendarEventBean.
`java.lang.String` | `getDescription()` Gets the description value for this CalendarEventBean.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`long` | `getDuration()` Gets the duration value for this CalendarEventBean.
`long` | `getEntityId()` Gets the entityId value for this CalendarEventBean.
`java.lang.String` | `getEntityType()` Gets the entityType value for this CalendarEventBean.
`java.lang.String` | `getLocation()` Gets the location value for this CalendarEventBean.
`ParticipantBean[]` | `getParticipants()` Gets the participants value for this CalendarEventBean.
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`java.util.Calendar` | `getStartDate()` Gets the startDate value for this CalendarEventBean.
`java.lang.String` | `getSubject()` Gets the subject value for this CalendarEventBean.
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`boolean` | `isIsPrivate()` Gets the isPrivate value for this CalendarEventBean.
`void` | `setCreator(java.lang.String creator)` Sets the creator value for this CalendarEventBean.
`void` | `setDescription(java.lang.String description)` Sets the description value for this CalendarEventBean.
`void` | `setDuration(long duration)` Sets the duration value for this CalendarEventBean.
`void` | `setEntityId(long entityId)` Sets the entityId value for this CalendarEventBean.
`void` | `setEntityType(java.lang.String entityType)` Sets the entityType value for this CalendarEventBean.
`void` | `setIsPrivate(boolean isPrivate)` Sets the isPrivate value for this CalendarEventBean.
`void` | `setLocation(java.lang.String location)` Sets the location value for this CalendarEventBean.
`void` | `setParticipants(ParticipantBean[] participants)` Sets the participants value for this CalendarEventBean.
`void` | `setStartDate(java.util.Calendar startDate)` Sets the startDate value for this CalendarEventBean.
`void` | `setSubject(java.lang.String subject)` Sets the subject value for this CalendarEventBean.

Methods inherited from class com.rf.ats.services.integration.webserv.EntityBean
`getCreationDate, getFlexValues, getId, getLastUpdated, getStatus, setCreationDate, setFlexValues, setId, setLastUpdated, setStatus`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalendarEventBean

    public CalendarEventBean()

### CalendarEventBean

    public CalendarEventBean(java.util.Calendar creationDate,
                             FlexFieldBean[] flexValues,
                             long id,
                             java.util.Calendar lastUpdated,
                             java.lang.String status,
                             java.lang.String creator,
                             java.lang.String description,
                             long duration,
                             long entityId,
                             java.lang.String entityType,
                             boolean isPrivate,
                             java.lang.String location,
                             ParticipantBean[] participants,
                             java.util.Calendar startDate,
                             java.lang.String subject)

Method Detail

### getCreator

    public java.lang.String getCreator()

  Gets the creator value for this CalendarEventBean.

  Returns:
    creator

### setCreator

    public void setCreator(java.lang.String creator)

  Sets the creator value for this CalendarEventBean.

  Parameters:
    `creator` -

### getDescription

    public java.lang.String getDescription()

  Gets the description value for this CalendarEventBean.

  Returns:
    description

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description value for this CalendarEventBean.

  Parameters:
    `description` -

### getDuration

    public long getDuration()

  Gets the duration value for this CalendarEventBean.

  Returns:
    duration

### setDuration

    public void setDuration(long duration)

  Sets the duration value for this CalendarEventBean.

  Parameters:
    `duration` -

### getEntityId

    public long getEntityId()

  Gets the entityId value for this CalendarEventBean.

  Returns:
    entityId

### setEntityId

    public void setEntityId(long entityId)

  Sets the entityId value for this CalendarEventBean.

  Parameters:
    `entityId` -

### getEntityType

    public java.lang.String getEntityType()

  Gets the entityType value for this CalendarEventBean.

  Returns:
    entityType

### setEntityType

    public void setEntityType(java.lang.String entityType)

  Sets the entityType value for this CalendarEventBean.

  Parameters:
    `entityType` -

### isIsPrivate

    public boolean isIsPrivate()

  Gets the isPrivate value for this CalendarEventBean.

  Returns:
    isPrivate

### setIsPrivate

    public void setIsPrivate(boolean isPrivate)

  Sets the isPrivate value for this CalendarEventBean.

  Parameters:
    `isPrivate` -

### getLocation

    public java.lang.String getLocation()

  Gets the location value for this CalendarEventBean.

  Returns:
    location

### setLocation

    public void setLocation(java.lang.String location)

  Sets the location value for this CalendarEventBean.

  Parameters:
    `location` -

### getParticipants

    public ParticipantBean[] getParticipants()

  Gets the participants value for this CalendarEventBean.

  Returns:
    participants

### setParticipants

    public void setParticipants(ParticipantBean[] participants)

  Sets the participants value for this CalendarEventBean.

  Parameters:
    `participants` -

### getStartDate

    public java.util.Calendar getStartDate()

  Gets the startDate value for this CalendarEventBean.

  Returns:
    startDate

### setStartDate

    public void setStartDate(java.util.Calendar startDate)

  Sets the startDate value for this CalendarEventBean.

  Parameters:
    `startDate` -

### getSubject

    public java.lang.String getSubject()

  Gets the subject value for this CalendarEventBean.

  Returns:
    subject

### setSubject

    public void setSubject(java.lang.String subject)

  Sets the subject value for this CalendarEventBean.

  Parameters:
    `subject` -

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `EntityBean`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `EntityBean`

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD